/* this file contains fucntions which do chat with remote machine
 * when we have already connected there over network.
 */

#include <sys/time.h>
#include <sys/types.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/errno.h>

int chat(int s)
{
fd_set  fdtemp;
int     selv;
char buf[1024];
struct timeval waittime;

waittime.tv_sec=1; /* waittime -- 1 sec */
waittime.tv_usec=0;

while(1)
{
	FD_ZERO(&fdtemp);
	FD_SET(0,&fdtemp);
	FD_SET(s,&fdtemp);
	selv=select(s+1,&fdtemp,NULL,NULL,&waittime);
	if (selv<0 && errno==EINTR) continue;
	if (selv<0) { printf("Connection closed by remote\n");
		      fflush(stdout);
		      break;
		     }
	if(FD_ISSET(s,&fdtemp))
			write(1,buf,read(s,buf,sizeof(buf)));

	if(FD_ISSET(0,&fdtemp))
			write(s,buf,read(0,buf,sizeof(buf)));

}
printf("exiting\n");
fflush(stdout);
return 1;
}
