/*
 * Main module.
 *
 */
#include <stdio.h>
#include <netinet/in.h>
#include "config.h"


void usage(char *myname)
{
 printf("Usage: %s hostname port [remote_squid_proxy] [remote_port]\n",myname);
 exit(1);
}

int main(int argc, char **argv)
{
char def_proxy[]=SQUID_SERVER;
char *proxy_host=def_proxy;
u_short  proxy_port=SQUID_PORT;
char *remote_host;
u_short remote_port;
int	s;
char buf[1024];

	switch(argc) {
		case 0:
		case 1:
		case 2:	usage(argv[0]);
			break;// shouldn't go here anyway
		case 5:
			proxy_port=atoi(argv[4]);
			if(proxy_port<1)
			{	fprintf(stderr,"proxy port number incorrect\n");
				usage(argv[0]);
			}
		case 4: 
			proxy_host=argv[3];
		case 3:
			remote_port=atoi(argv[2]);
			if (remote_port<1)
			{	fprintf(stderr," remote port incorrect\n");
				usage(argv[0]);
			}
			remote_host=argv[1];
			break;
		default: fprintf(stderr,"too many garbage in command line\n");
			 usage(argv[0]);
	}
	
printf("connecting to %s, port %i",proxy_host,proxy_port);	
fflush(stdout);
s=make_connection(proxy_host, proxy_port);
printf("... connected.\n");
fflush(stdout);
if (s<0)
{ perror("error while etabilishing connection.");
	return 1;
}

/* here we write PUT blah blah blah... so squid would connect to some
 * mail server */

if(request_squid(s, remote_host, remote_port)==-1)
 printf("error while connecting via proxy\n");
 else { 
	 printf("Ok. Connected. Now Enter Your Data.\n\
(Do not forget to have single empty line to let the data to go\n\
 for the first time.. and enjoy your session\n");
fflush(stdout);
chat(s);
 }
 fflush(stdout);

shutdown(s,0);
	return 0;
}
